server:
  port: 9200

spring:
  application:
    name: order
  profiles:
    active: dev
  task:
    execution:
      pool:
        core-size: 8
        max-size: 16
        queue-capacity: 200
      thread-name-prefix: async-order-


logging:
  config: classpath:logback.xml

# MyBatis-Flex
mybatis-flex:
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
    call-setters-on-nulls: true
    jdbc-type-for-null: 'null'

pagehelper:
  helper-dialect: mysql
  support-methods-arguments: true

dubbo:
  provider:
    filter: traceProviderFilter
  consumer:
    filter: traceConsumerFilter
    check: false



